/* This example uses a potentiometer connected to analog pin A0
   to control the volume of the sound playback, the sound is 
   looped.
   
   
*/

import cc.arduino.*; 
import processing.serial.*; 
import ddf.minim.*; 
 
Minim minim; 
AudioPlayer mySound; 
Arduino arduino; 
 
int val = 0; 
int color_val; 
int oldval = 0; 
int playback_pos = 0; 
   
      
void setup()  
{  
   
  println(Arduino.list());     
  arduino = new Arduino(this, Arduino.list()[0], 57600);   
  
   
  size(400, 400); 
  noStroke(); 
  
  minim = new Minim(this); 
  mySound = minim.loadFile("expressway.aiff"); 
  // make sure you the file “expressway.aiff” in your “data” folder  
  fill(255, 127, 0);
 
  mySound.play(playback_pos);
  mySound.loop();
  println(mySound.getControls()); 
} 
   
void draw()   
{   
  val = arduino.analogRead(0)/11; 
 
  background(204); 
  
  //mySound.shiftGain(-80.0, 0.0, 10000);

   mySound.setGain(val-80.0);

   //mySound.mute();

   //mySound.unmute();
 
  //println(playback_pos); 
} 
  
  
void stop() 
{ 
  // always close Minim audio classes when you are done with them 
 mySound.close(); 
 minim.stop(); 
 super.stop(); 
}
